LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XProofreadingIterator Interface Reference

API for the proofreading iterator that mediates between the document and the proofreader. More...

`import"XProofreadingIterator.idl";`

Inheritance diagram for XProofreadingIterator:

## Public Member Functions
void | startProofreading ([in] com::sun::star::uno::XInterface xDocument, [in] com::sun::star::text::XFlatParagraphIteratorProvider xIteratorProvider) raises ( com::sun::star::lang::IllegalArgumentException )
| start proofreading and automatically process the whole text More...
ProofreadingResult | checkSentenceAtPosition ([in] com::sun::star::uno::XInterface xDocument, [in] com::sun::star::text::XFlatParagraph xFlatParagraph, [in] string aText, [in] com::sun::star::lang::Locale aLocale, [in] long nStartOfSentencePosition, [in] long nSuggestedBehindEndOfSentencePosition, [in] long nErrorPositionInParagraph) raises ( com::sun::star::lang::IllegalArgumentException )
| start proofreading from a given position More...
void | resetIgnoreRules ()
| clears the list of ignored rules for each proofreader More...
boolean | isProofreading ([in] com::sun::star::uno::XInterface xDocument)
| checks if the given document is currently being checked More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

API for the proofreading iterator that mediates between the document and the proofreader.

Since
  OOo 3.0.1

## Member Function Documentation

## ◆ checkSentenceAtPosition()

ProofreadingResult checkSentenceAtPosition | ( | [in] com::sun::star::uno::XInterface | xDocument,
|  | [in] com::sun::star::text::XFlatParagraph | xFlatParagraph,
|  | [in] string | aText,
|  | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] long | nStartOfSentencePosition,
|  | [in] long | nSuggestedBehindEndOfSentencePosition,
|  | [in] long | nErrorPositionInParagraph
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

start proofreading from a given position

Parameters

  xDocument | the document.
  xFlatParagraph | the single flat paragraph to be checked.
  aText | the text of the paragraph to be checked.
  aLocale | currently unused parameter.
  nStartOfSentencePosition | the start position of the current sentence.
  nSuggestedBehindEndOfSentencePosition | currently unused parameter.
  nErrorPositionInParagraph | the given index.

Exceptions

  IllegalArgumentException | when any argument is wrong.

## ◆ isProofreading()

boolean isProofreading | ( | [in] com::sun::star::uno::XInterface | xDocument | ) |

checks if the given document is currently being checked

Parameters

  xDocument | the document.

Returns
  if the document is currently being checked.

## ◆ resetIgnoreRules()

void resetIgnoreRules | ( |  | ) |

clears the list of ignored rules for each proofreader

## ◆ startProofreading()

void startProofreading | ( | [in] com::sun::star::uno::XInterface | xDocument,
|  | [in] com::sun::star::text::XFlatParagraphIteratorProvider | xIteratorProvider
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

start proofreading and automatically process the whole text

Parameters

  xDocument | the text document.
  xIteratorProvider | the flat paragraph iterator provider.

Exceptions

  IllegalArgumentException | when any argument is wrong.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XProofreadingIterator.idl